summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
Diffstat (limited to 'dvm')
-rwxr-xr-xdvm/3602/testcase38
-rwxr-xr-xdvm/3630/testcase36
-rw-r--r--dvm/764785/testcase19
3 files changed, 93 insertions, 0 deletions
diff --git a/dvm/3602/testcase b/dvm/3602/testcase
new file mode 100755
index 0000000..7e06c71
--- /dev/null
+++ b/dvm/3602/testcase
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function heal ()
+{
+ $GLUSTERFSDIR/gluster volume create $global_bug_id replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 --mode=script 2>/dev/null 1>/dev/null
+
+ $GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+ $GLUSTERFSDIR/gluster volume heal $global_bug_id 2>/dev/null 1>/dev/null;
+
+ if [ $? -eq 0 ]; then
+ return 0;
+ else
+ return 2;
+ fi
+}
+
+function main ()
+{
+ local ret;
+
+ heal;
+
+ ret=$?;
+
+ if [ $ret -eq 0 ]; then
+ exit 0;
+ else
+ exit 1;
+ fi
+}
+
+_init && main "$@"
diff --git a/dvm/3630/testcase b/dvm/3630/testcase
new file mode 100755
index 0000000..978dec8
--- /dev/null
+++ b/dvm/3630/testcase
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function add_brick ()
+{
+ $GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 1;
+ fi
+
+ $GLUSTERFSDIR/gluster volume add-brick $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export3 2>/dev/null 1>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 1;
+ else
+ return 0;
+ fi
+}
+
+function main ()
+{
+ local ret;
+
+ add_brick;
+
+ ret=$?;
+
+ exit $ret;
+}
+
+_init && main "$@"
diff --git a/dvm/764785/testcase b/dvm/764785/testcase
new file mode 100644
index 0000000..513d5ba
--- /dev/null
+++ b/dvm/764785/testcase
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create vol$global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster volume start vol$global_bug_id 2>/dev/null 1>/dev/null
+
+#mount on an invalid mount point which does NOT exists and check
+#whether error message is shown
+MNTPT="/blahblah"
+
+mount -t glusterfs $(hostname):vol$global_bug_id $MNTPT | grep "ERROR: Mount point does not exist."
+
+exit $?
+
+
+
+